﻿// <auto-generated />
using System;
using IntraAlfa.Infra.Context;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace IntraAlfa.Infra.Migrations
{
    [DbContext(typeof(PurchaseOrderContext))]
    partial class PurchaseOrderContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.2")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("IntraAlfa.Domain.Entities.PurchaseOrder", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("BIGINT")
                        .HasAnnotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AddressProvider")
                        .HasMaxLength(200)
                        .HasColumnType("VARCHAR(200)")
                        .HasColumnName("addressProvider");

                    b.Property<DateTime?>("ApproveDate")
                        .HasColumnType("DATETIME")
                        .HasColumnName("approveDate");

                    b.Property<string>("Approver")
                        .HasMaxLength(100)
                        .HasColumnType("VARCHAR(100)")
                        .HasColumnName("approver");

                    b.Property<ulong?>("AutRenew")
                        .HasColumnType("BIT")
                        .HasColumnName("AutRenew");

                    b.Property<DateTime>("CreateDate")
                        .HasColumnType("DateTime")
                        .HasColumnName("createDate");

                    b.Property<DateTime?>("FinalPeriod")
                        .HasColumnType("DATETIME")
                        .HasColumnName("finalPeriod");

                    b.Property<string>("FinancialRemarks")
                        .HasMaxLength(200)
                        .HasColumnType("VARCHAR(200)")
                        .HasColumnName("financialRemarks");

                    b.Property<string>("FiscalCodeProvider")
                        .HasMaxLength(14)
                        .HasColumnType("VARCHAR(14)")
                        .HasColumnName("fiscalCodeProvider");

                    b.Property<DateTime?>("InitialPeriod")
                        .HasColumnType("DATETIME")
                        .HasColumnName("initialPeriod");

                    b.Property<string>("ItemDescription")
                        .HasMaxLength(2000)
                        .HasColumnType("VARCHAR(2000)")
                        .HasColumnName("itemDescription");

                    b.Property<string>("MailProvider")
                        .HasMaxLength(150)
                        .HasColumnType("VARCHAR(150)")
                        .HasColumnName("mailProvider");

                    b.Property<string>("PaymentType")
                        .HasMaxLength(30)
                        .HasColumnType("VARCHAR(30)")
                        .HasColumnName("paymentType");

                    b.Property<string>("Provider")
                        .IsRequired()
                        .HasMaxLength(180)
                        .HasColumnType("VARCHAR(180)")
                        .HasColumnName("provider");

                    b.Property<string>("ProviderAccountBank")
                        .HasMaxLength(20)
                        .HasColumnType("VARCHAR(20)")
                        .HasColumnName("providerAccountBank");

                    b.Property<string>("ProviderAgBank")
                        .HasMaxLength(7)
                        .HasColumnType("VARCHAR(7)")
                        .HasColumnName("providerAgBank");

                    b.Property<string>("ProviderCodeBank")
                        .HasMaxLength(3)
                        .HasColumnType("VARCHAR(3)")
                        .HasColumnName("providerCodeBank");

                    b.Property<string>("Remarks")
                        .IsRequired()
                        .HasMaxLength(180)
                        .HasColumnType("VARCHAR(180)")
                        .HasColumnName("remarks");

                    b.Property<string>("Requirer")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("VARCHAR(100)")
                        .HasColumnName("requirer");

                    b.Property<string>("Status")
                        .IsRequired()
                        .HasMaxLength(1)
                        .HasColumnType("VARCHAR(1)")
                        .HasColumnName("status");

                    b.Property<decimal>("TotalPrice")
                        .HasMaxLength(1)
                        .HasColumnType("DECIMAL(7,2)")
                        .HasColumnName("totalPrice");

                    b.Property<DateTime>("UpdateDate")
                        .HasColumnType("DateTime")
                        .HasColumnName("updateDate");

                    b.HasKey("Id");

                    b.ToTable("PurchaseOrder", (string)null);
                });
#pragma warning restore 612, 618
        }
    }
}
